Loading...
Searching...
No Matches
novas_timespec Struct Reference
Time of observation and astronomical timescales

A structure, which defines a precise instant of time that can be expressed in any of the astronomical timescales. More...

`#include <novas.h>`

## Public Attributes

double | dut1
| [s] UT1 - UTC time difference
double | fjd_tt
| [day] Terrestrial time (TT) based fractional Julian day.
long | ijd_tt
| [day] Integer part of the Terrestrial Time (TT) based Julian Date
double | tt2tdb
| [s] TDB - TT time difference
double | ut1_to_tt
| [s] UT1 - TT time difference

## Detailed Description

A structure, which defines a precise instant of time that can be expressed in any of the astronomical timescales.

Precisions to picosecond accuracy are supported, which ought to be plenty accurate for any real astronomical application.

Since
  1.1

See also
  novas_set_time(), novas_get_time(), NOVAS_TIMESPEC_INIT, enum novas_timescale, timescale.c
  novas_make_frame()

## Member Data Documentation

## dut1

double novas_timespec::dut1

[s] UT1 - UTC time difference

Referenced by novas_equals_timespec(), and novas_time_leap().

## fjd_tt

double novas_timespec::fjd_tt

[day] Terrestrial time (TT) based fractional Julian day.

Referenced by novas_app_to_hor(), novas_clock_skew(), novas_diff_time(), novas_equ_track(), novas_equals_timespec(), novas_hor_to_app(), novas_hor_track(), and novas_make_frame().

## ijd_tt

long novas_timespec::ijd_tt

[day] Integer part of the Terrestrial Time (TT) based Julian Date

Referenced by novas_app_to_hor(), novas_clock_skew(), novas_diff_time(), novas_equals_timespec(), novas_hor_to_app(), and novas_make_frame().

## tt2tdb

double novas_timespec::tt2tdb

[s] TDB - TT time difference

Referenced by novas_equals_timespec(), and novas_make_frame().

## ut1_to_tt

double novas_timespec::ut1_to_tt

[s] UT1 - TT time difference

Referenced by novas_equals_timespec(), and novas_time_leap().